sidebarNodes={"extras":[{"group":"","headers":[{"anchor":"modules","id":"Modules"}],"id":"api-reference","title":"API Reference"},{"group":"Introduction","headers":[{"anchor":"how-to-install-ergo","id":"How to install Ergo."}],"id":"overview","title":"Overview"},{"group":"Introduction","headers":[],"id":"parser_combinator_intro","title":"Intro to Parser Combinators"},{"group":"Introduction","headers":[],"id":"comparisons","title":"Comparisons with other libraries"},{"group":"Introduction","headers":[{"anchor":"parsing-a-digit","id":"Parsing a digit"},{"anchor":"parsing-many-digits","id":"Parsing many digits"},{"anchor":"parsing-negative-numbers","id":"Parsing negative numbers"},{"anchor":"parsing-decimals","id":"Parsing decimals"},{"anchor":"conclusion","id":"Conclusion"}],"id":"basic_parser","title":"Creating a Basic Parser"},{"group":"Introduction","headers":[],"id":"debugging","title":"Debugging"},{"group":"Introduction","headers":[{"anchor":"left-recursion","id":"Left Recursion"},{"anchor":"eager-recursion","id":"Eager Recursion"}],"id":"recursion","title":"Recursion"},{"group":"Introduction","headers":[{"anchor":"top-down-or-bottom-up","id":"Top-down or Bottom-up?"}],"id":"guidance","title":"General Guidance"}],"modules":[{"group":"","id":"Ergo","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"parse/3","id":"parse/3"},{"anchor":"start/2","id":"start/2"}]}],"sections":[{"anchor":"module-getting-help","id":"Getting Help"},{"anchor":"module-installing","id":"Installing"},{"anchor":"module-a-basic-parser","id":"A Basic Parser"},{"anchor":"module-what-is-a-parser","id":"What is a parser?"},{"anchor":"module-the-context","id":"The Context"},{"anchor":"module-the-context-in-detail","id":"The Context in detail"},{"anchor":"module-terminal-parsers","id":"Terminal Parsers"},{"anchor":"module-numeric-parsers","id":"Numeric parsers"},{"anchor":"module-combinator-parsers","id":"Combinator Parsers"}],"title":"Ergo"},{"group":"","id":"Ergo.Combinators","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"atom/1","id":"atom/1"},{"anchor":"choice/2","id":"choice/2"},{"anchor":"hoist/1","id":"hoist/1"},{"anchor":"ignore/2","id":"ignore/2"},{"anchor":"lazy/1","id":"lazy/1"},{"anchor":"lookahead/2","id":"lookahead/2"},{"anchor":"many/2","id":"many/2"},{"anchor":"mapping_fn/1","id":"mapping_fn/1"},{"anchor":"not_lookahead/2","id":"not_lookahead/2"},{"anchor":"optional/2","id":"optional/2"},{"anchor":"parse_many/5","id":"parse_many/5"},{"anchor":"parser_labels/1","id":"parser_labels/1"},{"anchor":"replace/3","id":"replace/3"},{"anchor":"satisfy/3","id":"satisfy/3"},{"anchor":"seq_pass/2","id":"seq_pass/2"},{"anchor":"sequence/2","id":"sequence/2"},{"anchor":"string/1","id":"string/1"},{"anchor":"transform/3","id":"transform/3"}]}],"sections":[],"title":"Ergo.Combinators"},{"group":"","id":"Ergo.Context","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"add_error/3","id":"add_error/3"},{"anchor":"add_errors/2","id":"add_errors/2"},{"anchor":"ast_in_parsed_order/1","id":"ast_in_parsed_order/1"},{"anchor":"ast_to_string/1","id":"ast_to_string/1"},{"anchor":"ast_transform/2","id":"ast_transform/2"},{"anchor":"ast_without_ignored/1","id":"ast_without_ignored/1"},{"anchor":"clip/2","id":"clip/2"},{"anchor":"dec_depth/1","id":"dec_depth/1"},{"anchor":"inc_depth/1","id":"inc_depth/1"},{"anchor":"new/2","id":"new/2"},{"anchor":"next_char/1","id":"next_char/1"},{"anchor":"parser_tracked?/2","id":"parser_tracked?/2"},{"anchor":"peek/1","id":"peek/1"},{"anchor":"reset_status/1","id":"reset_status/1"},{"anchor":"set_parser/2","id":"set_parser/2"},{"anchor":"track_parser/2","id":"track_parser/2"}]}],"sections":[],"title":"Ergo.Context"},{"group":"","id":"Ergo.Meta","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"around/2","id":"around/2"},{"anchor":"failed/3","id":"failed/3"}]}],"sections":[],"title":"Ergo.Meta"},{"group":"","id":"Ergo.Numeric","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"decimal/1","id":"decimal/1"},{"anchor":"digits/1","id":"digits/1"},{"anchor":"number/1","id":"number/1"},{"anchor":"uint/1","id":"uint/1"}]}],"sections":[],"title":"Ergo.Numeric"},{"group":"","id":"Ergo.OPML","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"close_node/0","id":"close_node/0"},{"anchor":"generate_node/2","id":"generate_node/2"},{"anchor":"generate_opml/2","id":"generate_opml/2"},{"anchor":"node/2","id":"node/2"},{"anchor":"text/1","id":"text/1"},{"anchor":"thread_events/1","id":"thread_events/1"},{"anchor":"to_xml_attr_value/1","id":"to_xml_attr_value/1"},{"anchor":"transform_to_outline/1","id":"transform_to_outline/1"}]}],"sections":[],"title":"Ergo.OPML"},{"group":"","id":"Ergo.Parser","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"combinator/4","id":"combinator/4"},{"anchor":"invoke/2","id":"invoke/2"},{"anchor":"pop_entry_point/1","id":"pop_entry_point/1"},{"anchor":"push_entry_point/1","id":"push_entry_point/1"},{"anchor":"terminal/4","id":"terminal/4"},{"anchor":"track_parser/1","id":"track_parser/1"}]}],"sections":[],"title":"Ergo.Parser"},{"group":"","id":"Ergo.ParserRefs","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"next_ref/0","id":"next_ref/0"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"Ergo.ParserRefs"},{"group":"","id":"Ergo.Telemetry","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_list/1","id":"child_list/1"},{"anchor":"enter/1","id":"enter/1"},{"anchor":"error/1","id":"error/1"},{"anchor":"event/3","id":"event/3"},{"anchor":"leave/1","id":"leave/1"},{"anchor":"result/1","id":"result/1"}]}],"sections":[],"title":"Ergo.Telemetry"},{"group":"","id":"Ergo.TelemetryServer","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"get_events/1","id":"get_events/1"},{"anchor":"handle_event/4","id":"handle_event/4"},{"anchor":"init/1","id":"init/1"},{"anchor":"reset/0","id":"reset/0"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"Ergo.TelemetryServer"},{"group":"","id":"Ergo.TelemetryServer.State","sections":[],"title":"Ergo.TelemetryServer.State"},{"group":"","id":"Ergo.Terminals","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"alpha/1","id":"alpha/1"},{"anchor":"any/0","id":"any/0"},{"anchor":"char/2","id":"char/2"},{"anchor":"delimited_text/3","id":"delimited_text/3"},{"anchor":"digit/1","id":"digit/1"},{"anchor":"eoi/0","id":"eoi/0"},{"anchor":"literal/2","id":"literal/2"},{"anchor":"not_char/2","id":"not_char/2"},{"anchor":"wc/0","id":"wc/0"},{"anchor":"ws/0","id":"ws/0"}]}],"sections":[],"title":"Ergo.Terminals"},{"group":"","id":"Ergo.Utils","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"char_to_string/1","id":"char_to_string/1"},{"anchor":"ellipsize/2","id":"ellipsize/2"}]}],"sections":[],"title":"Ergo.Utils"},{"group":"Exceptions","id":"Ergo.Parser.CycleError","sections":[],"title":"Ergo.Parser.CycleError"}],"tasks":[]}